#include <stdio.h>
#include <string.h>
#define MAX 10000
main()
{
    char string[MAX],c;
    gets(string);
    int maxbrojac=1,brojac1=0,maxi=0,broj,i=0,i1;
    c=string[0];
    for(int j=1;j<strlen(string);j++)
        {
            if(string[0]==string[j]&&(j-i-1)%2==0)
                maxbrojac++;
        }

    for(int i=1;i<strlen(string);i++)
    {
        i1=i;
        brojac1=0;
        for(int j=i1+1;j<strlen(string);j++)
        {
            if(string[i1]==string[j]&&(j-i1-1)%2==0)
            {
                brojac1++;
                i1=j;
            }
            else
            {
                if(string[i1]==string[j])
                    i1=j;
            }
        }
        if(brojac1>maxbrojac)
        {
            maxbrojac=brojac1;
            c=string[i];
            maxi=i;
        }
    }

    for(int t=0;t<strlen(string);t++)
    {
        if(string[t]==c&&t!=maxi)
        {
            broj=t-maxi-1;
            for(int x=0;x<strlen(string);x++)
            {
                for(int y=0;y<strlen(string);y++)
                {
                    if(string[x]==string[y]&&string[x]!=c&&y-x-1==broj)
                        maxbrojac++;
                }
            }
        }
    }
    printf("%d",maxbrojac);

}